%define	cflowname Cflow
%define cflowver 1.053
Name:		flow-tools
Version: 	0.68
Release:	16.14
License: 	GPL
Group: 		Productivity/Networking
Summary: 	Flow-tools -- Tool set for working with NetFlow data
URL: 		http://www.splintered.net/sw/flow-tools/
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}.init
Source2:	%{cflowname}-%{cflowver}.tar.bz2
Source3:	sysconfig.%{name}
##Patch0:	%{name}.diff
Patch0:		flow-tools-0.68.ftchash.patch
#Patch1:		flow-tools-0.68.ftfile.64bit.patch
Patch1:		flow-tools_time_t.diff
Patch2:		flow-tools-0.68.ftio.patch
Patch3:		flow-tools-0.68.fttlv.patch
Patch4:		flow-tools-0.68.python.patch
Patch5:		%{name}-declares.diff
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:  glibc-devel libgcc gcc gcc-c++ flex mysql-devel postgresql-devel python-devel tar openssl-devel bzip2

%if 0%{?suse_version}
BuildRequires: mysql-client
%endif

%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker rrdtool-perl
%endif

%description
Flow-tools is library and a collection of programs used to collect, send, process, and generate 
reports from NetFlow data. The tools can be used together on a single server or distributed 
to multiple servers for large deployments. The flow-toools library provides an API for development 
of custom applications for NetFlow export versions 1,5,6 and the 14 currently defined 
version 8 subversions. A Perl and Python interface have been contributed 
and are included in the distribution.


%package -n perl-Cflow
Summary:	Cflow perl module
Version:	%{cflowver}
Release:	16.14
Group:		Development/Libraries
Requires:	perl

%description -n	perl-Cflow
Cflow perl module, is used by flowscan


%package devel
Summary:	Flow-tools development files
Group:		Development/Libraries
Requires:	%{name}

%description devel
This package contains development headers and librarys.


######################################################################

%prep

%setup -b 0 -b 2
%patch0 
%patch1 -p1
%patch2
%patch3
%patch4 -p1
%patch5 -p1
%build
export CFLAGS=-fPIC
export CPPFLAGS=-fPIC
./configure --prefix=%{_prefix} \
 --libdir=%{_libdir} \
 --mandir=%{_mandir} \
 --sysconfdir=%{_sysconfdir}/flow-tools \
 --localstatedir=%{_sysconfdir}/flow-tools \
 --with-openssl=%{_libdir}
%__make
# build Cflow perl module
tar -C contrib -jxf %{S:2}
cd contrib/%{cflowname}-%{cflowver}
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor

%install
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}/var/adm/fillup-templates
make install DESTDIR=$RPM_BUILD_ROOT

# install Cflow perl module
cd contrib/%{cflowname}-%{cflowver}
make install DESTDIR=$RPM_BUILD_ROOT

install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/flow-tools
ln -sf ../../etc/init.d/flow-tools $RPM_BUILD_ROOT/%{_sbindir}/rcflow-tools
install -m 644 %{SOURCE3} ${RPM_BUILD_ROOT}/var/adm/fillup-templates
%if 0%{?suse_version}
%perl_process_packlist
%endif
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
rm -f ${RPM_BUILD_ROOT}/%{perl_archlib}/perllocal.pod
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%endif
# strip binaries
strip %{buildroot}%{_bindir}/flow-capture
strip %{buildroot}%{_bindir}/flow-cat
strip %{buildroot}%{_bindir}/flow-dscan
strip %{buildroot}%{_bindir}/flow-expire
strip %{buildroot}%{_bindir}/flow-export
strip %{buildroot}%{_bindir}/flow-fanout
strip %{buildroot}%{_bindir}/flow-filter
strip %{buildroot}%{_bindir}/flow-gen
strip %{buildroot}%{_bindir}/flow-header
strip %{buildroot}%{_bindir}/flow-import
strip %{buildroot}%{_bindir}/flow-mask
strip %{buildroot}%{_bindir}/flow-merge
strip %{buildroot}%{_bindir}/flow-nfilter
strip %{buildroot}%{_bindir}/flow-print
strip %{buildroot}%{_bindir}/flow-receive
strip %{buildroot}%{_bindir}/flow-report
strip %{buildroot}%{_bindir}/flow-send
strip %{buildroot}%{_bindir}/flow-split
strip %{buildroot}%{_bindir}/flow-stat
strip %{buildroot}%{_bindir}/flow-tag
strip %{buildroot}%{_bindir}/flow-xlate

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%preun
%stop_on_removal

%postun
%insserv_cleanup

%post
%fillup_and_insserv

%files
%defattr(-,root,root)
%doc README ChangeLog
%dir %{_sysconfdir}/flow-tools
%config(noreplace) %{_sysconfdir}/flow-tools/*
%config %{_sysconfdir}/init.d/flow-tools
/var/adm/fillup-templates/sysconfig.%{name}
%{_sbindir}/rcflow-tools
%{_mandir}/man1/*
%{_bindir}/*

%files -n perl-Cflow
%defattr(-,root,root)
%{_mandir}/man3/*
%if 0%{?suse_version}
/var/adm/perl-modules/flow-tools
%endif
%dir %{perl_vendorarch}/auto/Cflow
%{perl_vendorarch}/Cflow.pm
%{perl_vendorarch}/auto/Cflow/Cflow.bs
%{perl_vendorarch}/auto/Cflow/Cflow.so
%{perl_vendorarch}/auto/Cflow/autosplit.ix

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libft.a

%changelog
* Sat Jan 09 2010 Carsten Schoene <cs@linux-administrator.com> - 0.68-11
- fix perl-Cflow build against flow-tools

* Sat May 02 2009 Carsten Schoene <cs@linux-administrator.com> - 0.68-10
- change  perl dir from site to vendor
- strip binaries
- added devel subpackage
- spec cleanups

* Fri Mar 14 2008 Carsten Schoene <cs@linux-administrator.com>
- added patches from http://www.tuhh.de/rzt/rzt/su/netflow/flow-tools-compiling-64bit.html
- added patch for python path

* Fri Feb 23 2007 Carsten Schoene <cs@linux-administrator.com>
- changed group of mainpackage

* Mon Feb 19 2007 Carsten Schoene <cs@linux-administrator.com>
- initial package build of version 0.68

